Up & Coming Extensions

Subscribe

DOM Inspector Requires Restart

DOM Inspector is a tool that can be used to inspect and edit the live DOM of any web document or XUL application. The DOM can be navigated using a two-paned window displaying a variety of different views on the document and all nodes within.

Rated 5 out of 5 stars (78)
25,858 users

FlashGot Mass Downloader Requires Restart

Download all the links, movies and audio clips of a page at the maximum speed with a single click, using the most popular, lightweight and reliable external download managers.

Rated 5 out of 5 stars (890)
1,281 users

Auto Password Registerer Requires Restart

Registers given passwords to Firefox/Thunderbird's password manager automatically.

Rated 5 out of 5 stars (2)
1,894 users

globalChrome.css Requires Restart

Provides global user stylesheet.

Not yet rated
1,903 users

JavaScript Debugger Requires Restart

As of Firefox 33, Venkman *no longer works*, as the APIs which it needs have been removed.

Venkman is the code name for Mozilla's JavaScript Debugger. Venkman aimed to provide a powerful JavaScript debugging environment for Mozilla based browsers.

Rated 4 out of 5 stars (52)
5,148 users

Toolbar Buttons

Adds toolbar buttons to the customize toolbar window in several programs including Firefox, Thunderbird and SeaMonkey. Some of the buttons make commonly preformed actions quicker, others add new functionality.

Rated 4 out of 5 stars (372)
1,266 users

FireTray Requires Restart

A system tray extension for Linux and Windows, allowing to set up custom icon, hiding to tray instead of closing, display the number of unread messages in mailing applications, and other features ...

Rated 4 out of 5 stars (288)
3,854 users

MinimizeToTray revived Requires Restart

Minimizes windows into the system tray.

Rated 4 out of 5 stars (395)
5,095 users

StartupMaster

Asks for the master password at startup (fixes multiple password prompt)

Rated 4 out of 5 stars (307)
1,238 users

Disable Add-on Compatibility Checks

Reinstates the extensions.checkCompatibility preference without respect to the current application version.

Rated 4 out of 5 stars (121)
1,173 users